# hipchat – Send a message to Hipchat

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Send a message to a Hipchat room, with options to control the formatting.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api - | Default: "https://api.hipchat.com/v1" | API url if using a self-hosted hipchat server. For Hipchat API version 2 use the default URI with `/v2` instead of `/v1`.

color
-

Choices:
- yellow ←
- red
- green
- purple
- gray
- random

Background color for the message.

from - | Default: "Ansible" | Name the message will appear to be sent from. Max length is 15 characters - above this it will be truncated.
msg - / required |  | The message body.

msg_format
-

Choices:
- text ←
- html

Message format.

notify
boolean

Choices:
- no
- yes ←

If true, a notification will be triggered for users in the room.

room - / required |  | ID or name of the room.
token - / required |  | API token.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    - hipchat:
        room: notif
        msg: Ansible task finished

    # Use Hipchat API version 2
    - hipchat:
        api: https://api.hipchat.com/v2/
        token: OAUTH2_TOKEN
        room: notify
        msg: Ansible task finished

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by the Ansible Community. [community]

### Authors

- Shirou Wakayama (@shirou)

- Paul Bourdel (@pb8226)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.